scala.collection.parallel

# ForkJoinTaskSupport

#### class ForkJoinTaskSupport extends TaskSupport with AdaptiveWorkStealingForkJoinTasks

A task support that uses a fork join pool to schedule tasks.

Source
  TaskSupport.scala
See also

  scala.collection.parallel.TaskSupport for more information.

Linear Supertypes
AdaptiveWorkStealingForkJoinTasks, AdaptiveWorkStealingTasks, ForkJoinTasks, HavingForkJoinPool, TaskSupport, Tasks, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ForkJoinTaskSupport
2. AdaptiveWorkStealingForkJoinTasks
3. AdaptiveWorkStealingTasks
4. ForkJoinTasks
5. HavingForkJoinPool
6. TaskSupport
7. Tasks
8. AnyRef
9. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ForkJoinTaskSupport(environment: ForkJoinPool = ForkJoinTasks.defaultForkJoinPool)

### Type Members

1. #### class WrappedTask[R, Tp] extends RecursiveAction with AdaptiveWorkStealingForkJoinTasks.WrappedTask[R, Tp] with AdaptiveWorkStealingForkJoinTasks.WrappedTask[R, Tp]

   Definition Classes
     AdaptiveWorkStealingForkJoinTasks

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ForkJoinTaskSupport to any2stringadd[ForkJoinTaskSupport] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ForkJoinTaskSupport, B)

   Implicit information
     This member is added by an implicit conversion from ForkJoinTaskSupport to ArrowAssoc[ForkJoinTaskSupport] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (ForkJoinTaskSupport) ⇒ Boolean, msg: ⇒ Any): ForkJoinTaskSupport

   Implicit information
     This member is added by an implicit conversion from ForkJoinTaskSupport to Ensuring[ForkJoinTaskSupport] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (ForkJoinTaskSupport) ⇒ Boolean): ForkJoinTaskSupport

   Implicit information
     This member is added by an implicit conversion from ForkJoinTaskSupport to Ensuring[ForkJoinTaskSupport] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): ForkJoinTaskSupport

    Implicit information
      This member is added by an implicit conversion from ForkJoinTaskSupport to Ensuring[ForkJoinTaskSupport] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): ForkJoinTaskSupport

    Implicit information
      This member is added by an implicit conversion from ForkJoinTaskSupport to Ensuring[ForkJoinTaskSupport] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### val environment: ForkJoinPool

    The type of the environment is more specific in the implementations.

    The type of the environment is more specific in the implementations.

    Definition Classes
      ForkJoinTaskSupport → ForkJoinTasks → Tasks

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def execute[R, Tp](task: Task[R, Tp]): () ⇒ R

    Executes a task and does not wait for it to finish - instead returns a future.

    Executes a task and does not wait for it to finish - instead returns a future.

    If the current thread is a fork/join worker thread, the task's `fork` method will be invoked. Otherwise, the task will be executed on the fork/join pool.

    Definition Classes
      ForkJoinTasks → Tasks

16. #### def executeAndWaitResult[R, Tp](task: Task[R, Tp]): R

    Executes a task on a fork/join pool and waits for it to finish.

    Executes a task on a fork/join pool and waits for it to finish. Returns its result when it does.

    If the current thread is a fork/join worker thread, the task's `fork` method will be invoked. Otherwise, the task will be executed on the fork/join pool.

    returns

      the result of the task

    Definition Classes
      ForkJoinTasks → Tasks

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def forkJoinPool: ForkJoinPool

    The fork/join pool of this collection.

    The fork/join pool of this collection.

    Definition Classes
      ForkJoinTasks → HavingForkJoinPool

19. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ForkJoinTaskSupport to StringFormat[ForkJoinTaskSupport] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def newWrappedTask[R, Tp](b: Task[R, Tp]): WrappedTask[R, Tp]

    Definition Classes
      AdaptiveWorkStealingForkJoinTasks → AdaptiveWorkStealingTasks → ForkJoinTasks

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def parallelismLevel: Int

    Retrieves the parallelism level of the task execution environment.

    Retrieves the parallelism level of the task execution environment.

    Definition Classes
      ForkJoinTasks → Tasks

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from ForkJoinTaskSupport to CollectionsHaveToParArray[ForkJoinTaskSupport, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (ForkJoinTaskSupport) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def →[B](y: B): (ForkJoinTaskSupport, B)

    Implicit information
      This member is added by an implicit conversion from ForkJoinTaskSupport to ArrowAssoc[ForkJoinTaskSupport] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AdaptiveWorkStealingForkJoinTasks

### Inherited from AdaptiveWorkStealingTasks

### Inherited from ForkJoinTasks

### Inherited from HavingForkJoinPool

### Inherited from TaskSupport

### Inherited from Tasks

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from ForkJoinTaskSupport to CollectionsHaveToParArray[ForkJoinTaskSupport, T]

### Inherited by implicit conversion any2stringadd from ForkJoinTaskSupport to any2stringadd[ForkJoinTaskSupport]

### Inherited by implicit conversion StringFormat from ForkJoinTaskSupport to StringFormat[ForkJoinTaskSupport]

### Inherited by implicit conversion Ensuring from ForkJoinTaskSupport to Ensuring[ForkJoinTaskSupport]

### Inherited by implicit conversion ArrowAssoc from ForkJoinTaskSupport to ArrowAssoc[ForkJoinTaskSupport]

### Ungrouped